/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Jan-01-2012 10:09:14pm
Filepath: scripts\events and scenarios\Halloween2011\Quests\Quest Givers\Ash.cs
Lines of code: 78

Description: 

***********************************************************/


using System;
using Server;
using Server.Items;
using Server.Mobiles;

namespace Server.Engines.Quests
{
	public class TheGreenTongueQuest : BaseQuest
	{				
		public override object Title{ get{ return "The Green Tongue"; } }
		
		public override object Description{ get{ return "I want my tongue to be as green as the swamps! I must eat a lot of lime lolipops! Go get me a bunch"; } }
		
		public override object Refuse{ get{ return "Wahhhhh....I could turn you into a toad you know!"; } }
		
		public override object Uncomplete{ get{ return "If you're looking for candy, some of the other witches might offer you some quests with a bag of candy as the reward."; } }
		
		public override object Complete{ get{ return "Ohhh check out my tongue now. It's hideously green, mom will be so proud. Here, take this. I found this secret location while playing outside one day. There were some pretty ruby slippers in there."; } }
	
		public TheGreenTongueQuest() : base()
		{			
			AddObjective( new ObtainObjective( typeof( LimeLolipop ), "Lime Lolipop", 15, 18063, 0, 0 ) );
			
			AddReward( new BaseReward( typeof( RubySlippersHintScroll ), "A hint scroll" ) );
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}		
	}
	
	public class Ash : MondainQuester
	{
		public override Type[] Quests
		{ 
			get{ return new Type[] 
			{ 
				typeof( TheGreenTongueQuest )
			};} 
		}
		
		[Constructable]
		public Ash() : base( "Ash", "the Young Warlock" )
		{			
				SetSkill( SkillName.Meditation, 60.0, 83.0 );
				SetSkill( SkillName.Focus, 60.0, 83.0 );
		}
		
		public Ash( Serial serial ) : base( serial )
		{
		}		
		
		public override void InitBody()
		{
			InitStats( 100, 100, 25 );

			Hue = 0x83EA;

			Female = false;
			Body = 0x190;
		}
		
		public override void InitOutfit()
		{
			AddItem( new Robe( 0x1 ) );
			AddItem( new Sandals() );
			AddItem( new WizardsHat( 0x1 ) );
			AddItem( new GoldBracelet() );

			HairItemID = 0x203C;
			HairHue = 1191;

			Item staff = new GnarledStaff();
			staff.Movable = false;
			AddItem( staff );
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}